### Method

# Gck Builder find_boolean

#### Declaration [src]

    gboolean
    gck_builder_find_boolean (
      GckBuilder* builder,
      gulong attr_type,
      gboolean* value
    )

#### Description [src]

Find a boolean attribute in the builder that has the type `attr_type`, is of the correct boolean size, and is not invalid in the PKCS#11 sense. If multiple attributes exist for the given attribute type, then the first\ one is returned.

#### Parameters

`attr_type`

  Type: `gulong`

  The type of attribute to find.

`value`

  Type: `gboolean*`

  The location to place the found value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Whether a valid boolean attribute was found.